org.activiti.engine.delegate.event.impl

## Class ActivitiErrorEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl
    - - org.activiti.engine.delegate.event.impl.ActivitiErrorEventImpl

- All Implemented Interfaces:
    ActivitiActivityEvent, ActivitiErrorEvent, ActivitiEvent

      public class ActivitiErrorEventImpl
      extends ActivitiActivityEventImpl
      implements ActivitiErrorEvent

  Implementation of an `ActivitiErrorEvent`.
  Author:
    Frederik Heremans

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `errorCode`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl

      `activityId, activityName, activityType, behaviorClass`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiErrorEventImpl(ActivitiEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()`
    `void` | `setErrorCode(String errorCode)`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl

      `getActivityId, getActivityName, getActivityType, getBehaviorClass, setActivityId, setActivityName, setActivityType, setBehaviorClass`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiActivityEvent

      `getActivityId, getActivityName, getActivityType, getBehaviorClass`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### errorCode

          protected String errorCode

  - ### Constructor Detail

    - #### ActivitiErrorEventImpl

          public ActivitiErrorEventImpl(ActivitiEventType type)

  - ### Method Detail

    - #### setErrorCode

          public void setErrorCode(String errorCode)

    - #### getErrorCode

          public String getErrorCode()

      Specified by:
        `getErrorCode` in interface `ActivitiErrorEvent`
      Returns:
        the error-code of the error. Returns null, if no specific error-code has been specified when the error was thrown.

Copyright © 2016 Alfresco. All rights reserved.